Webhook
Updates a Webhook resource.
Updates a Webhook resource.
PATCH
/api/webhooks/{id}Authorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Path Parameters
id
stringrequired
Webhook identifier
Request Body
application/json
required
The updated Webhook resource
{
"identifier": "my-webhook",
"priority": 1,
"data": {
"host": "sftp.example.com",
"user": "sftp-user",
"password": "sftp-password",
"directory": "sftp-directory/sub-directory",
"port": 22
},
"active": true,
"activeFrom": "2024-01-01",
"groupIdentifier": "my_group",
"groupCondition": "data['contract']['balance'] > 0"
}Response
200
Webhook resource updated
id
integer
Webhook ID generated by Output.Rocks.
identifier
stringrequired
Customer Identifier, used for webhook selection in rendering process
type
enum<string>
Webhook type
priority
integer
Webhook execution priority
data
object
Webhook configuration data.<br><b>IMPORTANT:</b> data structure depends on webhook type
createdBy
string
User, created this entry
updatedBy
string
User, updated this entry
createdAt
string<date-time>
UTC date time of entry creation
updatedAt
string<date-time>
UTC date time of last entry update
active
boolean
Active flag. Default: true
activeFrom
string<date-time>
Date to activate the entry. Default: today
groupIdentifier
string
Optional group identifier to be used with group conditions
groupCondition
string
Group condition.